%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticdevelname %mklibname %{name} -d -s

Summary:	Library to support Bi-directional scripts
Name:		fribidi
Version:	0.19.2
Release:	%mkrel 5
License:	LGPLv2+
Group:		System/Internationalization
Source: 	http://fribidi.org/download/fribidi-%{version}.tar.gz
Patch0:		fribidi-0.19.1-fix-str-fmt.patch
URL:		http://fribidi.org

%description
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{libname}
Summary:	Library to support Bi-directional scripts
Group:		System/Internationalization
Requires:	%{name} = %{version}

%description -n %{libname}
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{develname}
Summary:	Libraries and headers for development with %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d

%description -n %{develname}
This package includes the libraries and header files for the %{name}
package.

Install this package if you want to develop or compile programs which
will use %{name}.

%package -n %{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/C
Provides:	lib%{name}-static-devel = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d -s

%description -n %{staticdevelname}
Static development files for %{name}.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --enable-static
%make

%check
make check

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README AUTHORS ChangeLog TODO THANKS NEWS
%{_bindir}/fribidi

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_mandir/man3/*

%files -n %{staticdevelname}
%{_libdir}/*.a


%changelog

* Sat Dec 10 2011 fwang <fwang> 0.19.2-5.mga2
+ Revision: 180235
- drop .la file

* Sun Jan 16 2011 ahmad <ahmad> 0.19.2-4.mga1
+ Revision: 19913
- drop old/unneeded scriptlets
- imported package fribidi

